package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.OrderPar;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignMxUpload;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzAssignMxUpload;
import com.zfire.jiasm.syncdata.plus.entity.OrderProduct;
import org.apache.ibatis.annotations.Param;

/**
 * 工单机型 Mapper 接口
 * @author yaozx
 * @since 2023-03-30
 */
public interface GetOrderProductMapper extends BaseMapper<OrderProduct> {

    @SqlParser(filter = true)
    ItfTblAssignMxUpload getItfTblAssignMxUpload(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfTblAzAssignMxUpload getItfTblAzAssignMxUpload(@Param("request") OrderPar request);

    void upPgguid(@Param("request") OrderPar request);
    void upPgmxid(@Param("request") OrderPar request);
    void upPgid(@Param("request") OrderPar request);

}
